get
https://api.genability.com/rest/echo/hello
Hello returns a “Hello World!” response when the passed in credentials are valid or an unauthorized response when they are invalid.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Return a Hello World! Echo response when your credentials are valid.
Use this endpoint to confirm that Basic Authentication is configured correctly and that your client can parse a standard Switch response payload. To test credential validation, input formats, or simulated errors, see Testing & Debugging Overview.
Resource URI
GET /rest/echo/helloAuthentication
Send your appId and appKey with HTTP Basic Authentication. For details, see Authentication.
Example
GET /rest/echo/helloA successful response returns a standard response payload with a greeting in the results array.
{
"status": "success",
"count": 1,
"type": null,
"results": [
"Hello World",
"Hello World!"
]
}For the full set of Echo testing endpoints, see Testing & Debugging Overview.
